Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Get all segments for a specific contact.
cURL
curl --request GET \ --url https://api.useinvent.com/orgs/contacts/{contact_id}/segments \ --header 'Authorization: Bearer <token>'
import requests url = "https://api.useinvent.com/orgs/contacts/{contact_id}/segments" headers = {"Authorization": "Bearer <token>"} response = requests.get(url, headers=headers) print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}}; fetch('https://api.useinvent.com/orgs/contacts/{contact_id}/segments', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.useinvent.com/orgs/contacts/{contact_id}/segments", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", CURLOPT_HTTPHEADER => [ "Authorization: Bearer <token>" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.useinvent.com/orgs/contacts/{contact_id}/segments" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer <token>") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
HttpResponse<String> response = Unirest.get("https://api.useinvent.com/orgs/contacts/{contact_id}/segments") .header("Authorization", "Bearer <token>") .asString();
require 'uri' require 'net/http' url = URI("https://api.useinvent.com/orgs/contacts/{contact_id}/segments") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer <token>' response = http.request(request) puts response.read_body
[ { "id": "<string>", "name": "<string>", "color": "red", "contacts_count": 123, "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z" } ]
Bearer token authentication using your API key
Contact ID
Page number
Number of items to take
Next page token (Only used on special endpoints)
Skip the total count: pagination-count is exact on the last page, and one more than the items so far while more pages exist (Only used on special endpoints)
Accent color, by name
red
orange
amber
yellow
lime
green
teal
cyan
sky
blue
indigo
violet
purple
fuchsia
pink
rose
neutral
Was this page helpful?